%global pypi_name shell-gpt
%define srcname %(echo %{pypi_name} | sed 's|-|_|')

Name:           python-%{pypi_name}
Version:        1.4.5
Release:        %mkrel 1
Summary:        A command-line productivity tool powered by OpenAI GPT models
Group:          Development/Python
License:        MIT
URL:            https://github.com/TheR1D/shell_gpt
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(instructor)
BuildRequires:  python3dist(openai)
BuildRequires:  python3dist(rich)
BuildRequires:  python3dist(typer)

%description
A command-line productivity tool powered by OpenAI's GPT models. As developers,
we can leverage AI capabilities to generate shell commands, code snippets,
comments, and documentation, among other things. Forget about cheat sheets and
notes, with this tool you can get accurate answers right in your terminal, and
you'll probably find yourself reducing your daily Google searches, saving you
valuable time and effort. ShellGPT is cross-platform compatible and supports
all major operating systems, including Linux, macOS, and Windows with all
major shells, such as PowerShell, CMD, Bash, Zsh, Fish, and many others.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
Provides:       %{pypi_name} = %{version}-%{release}
Provides:       sgpt = %{version}-%{release}
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:      python3-shell_gpt < 0.9.0-2

%description -n python3-%{pypi_name}
A command-line productivity tool powered by OpenAI's GPT models. As developers,
we can leverage AI capabilities to generate shell commands, code snippets,
comments, and documentation, among other things. Forget about cheat sheets and
notes, with this tool you can get accurate answers right in your terminal, and
you'll probably find yourself reducing your daily Google searches, saving you
valuable time and effort. ShellGPT is cross-platform compatible and supports
all major operating systems, including Linux, macOS, and Windows with all
major shells, such as PowerShell, CMD, Bash, Zsh, Fish, and many others.

You'll need an OpenAI API key, you can generate one here
(https://beta.openai.com/account/api-keys).

If the $OPENAI_API_KEY environment variable is set it will be used, otherwise,
you will be prompted for your key which will then be stored in
~/.config/shell_gpt/.sgptrc.

%prep
%autosetup -n %{srcname}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel
 
%install
%pyproject_install
%pyproject_save_files sgpt

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{_bindir}/sgpt


%changelog
* Mon May 05 2025 kekepower <kekepower> 1.4.5-1.mga10
+ Revision: 2181126
- Update to version 1.4.5

* Mon Mar 03 2025 wally <wally> 1.4.4-2.mga10
+ Revision: 2159935
- rebuild for python3.13

* Sun Aug 11 2024 kekepower <kekepower> 1.4.4-1.mga10
+ Revision: 2085616
- Update to version 1.4.4

* Sat Apr 06 2024 kekepower <kekepower> 1.4.3-1.mga10
+ Revision: 2055227
- Update to version 1.4.3

* Thu Feb 22 2024 kekepower <kekepower> 1.4.0-1.mga10
+ Revision: 2043128
- Update to version 1.4.0

* Sun Jan 28 2024 kekepower <kekepower> 1.2.0-1.mga10
+ Revision: 2035618
- Update to version 1.0.2

* Tue Jan 09 2024 kekepower <kekepower> 1.1.0-1.mga10
+ Revision: 2029068
- Update to version 1.1.0

* Fri Dec 22 2023 kekepower <kekepower> 1.0.1-1.mga10
+ Revision: 2020836
- Update to version 1.0.1

* Thu Dec 21 2023 kekepower <kekepower> 1.0.0-1.mga10
+ Revision: 2020631
- Update to version 1.0.0

* Mon Aug 28 2023 kekepower <kekepower> 0.9.4-1.mga10
+ Revision: 1980662
- Update to version 0.9.4

* Wed Jun 14 2023 kekepower <kekepower> 0.9.3-1.mga9
+ Revision: 1962010
- Update to version 0.9.3

* Wed Jun 07 2023 kekepower <kekepower> 0.9.2-1.mga9
+ Revision: 1961223
- Update to version 0.9.2

* Mon May 22 2023 kekepower <kekepower> 0.9.1-1.mga9
+ Revision: 1957683
- Update to version 0.9.1

* Mon May 15 2023 kekepower <kekepower> 0.9.0-2.mga9
+ Revision: 1956966
- Provides sgpt

* Mon May 15 2023 kekepower <kekepower> 0.9.0-1.mga9
+ Revision: 1956961
- imported package python-shell-gpt

